Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.olap.navi
Interface MemberTree

All Superinterfaces:
  Extension

All Known Implementing Classes:
  MondrianMemberTree, TestMemberTree, XMLA_MemberTree

    public interface MemberTree

extends Extension

exposes parent/child relationship between members. Allows members to be displayed in a tree style GUI. Implementations will have to send metadata queries to the database.

Author:
  av

Nested Class Summary
`static class` | `MemberTree.TooManyMembersException` thrown if too many member would be returned

Field Summary
`static java.lang.String` | `ID` name of the Extension for lookup

Method Summary
`Member[]` | `getChildren(Member member)`
`Member` | `getParent(Member member)`
`Member[]` | `getRootMembers(Hierarchy hier)`
`boolean` | `hasChildren(Member member)`

Methods inherited from interface com.tonbeller.jpivot.core.Extension
`decorate, getId, modelInitialized, setModel`

Field Detail

### ID

    static final java.lang.String ID

  name of the Extension for lookup

  See Also:
    Constant Field Values

Method Detail

### getRootMembers

    Member[] getRootMembers(Hierarchy hier)
                            throws MemberTree.TooManyMembersException

  Returns:
    the root members of a hierarchy. This is for example the "All" member or the list of measures.
  Throws:
    `MemberTree.TooManyMembersException`

### hasChildren

    boolean hasChildren(Member member)

  Returns:
    true if the member can be expanded

### getChildren

    Member[] getChildren(Member member)
                         throws MemberTree.TooManyMembersException

  Returns:
    the children of the member
  Throws:
    `MemberTree.TooManyMembersException`

### getParent

    Member getParent(Member member)

  Returns:
    the parent of member or null, if this is a root member

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD